% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{by_cluster_sampling}
\alias{by_cluster_sampling}
\title{Balanced downsampling of matrix/data.frame based on cluster assignment vector}
\usage{
by_cluster_sampling(df, vec, frac, seed = 34)
}
\arguments{
\item{df}{expression matrix or data.frame}

\item{vec}{vector of ids}

\item{frac}{fraction 0-1 to downsample to}

\item{seed}{sampling randomization seed}
}
\value{
list with new downsampled matrix/data.frame and id vector
}
\description{
Balanced downsampling of matrix/data.frame based on cluster assignment vector
}
\examples{
res <- by_cluster_sampling(data.frame(y = c(1, 2, 3, 4, 5, 6)),
  vec = c(1, 2, 1, 2, 1, 2), frac = 0.5
)
}
